//
// Created by lukas on 22.08.20.
//

#include "Temperature.h"

void Temperature::init() {
    dht.begin();
}

float Temperature::getTemp() {
    float temp = dht.readTemperature();
    Serial.println("read temp is: " + String(temp));
    if (isnan(temp)) {
        return -1;
    } else {
        return temp;
    }
}

float Temperature::getHum() {
    float hum = dht.readHumidity();
    Serial.println("read hum is: " + String(hum));
    if (isnan(hum)) {
        return -1;
    } else {
        return hum;
    }
}
